Summary: exim mail transfer agent
Name: exim
Version: 3.13
Release: 2
Copyright: GPL
Url: http://www.exim.org
Packager: Mark Bergsma <mark@mbergsma.demon.nl>
Group: System Environment/Daemons
Buildroot: /var/tmp/exim-build.root
Provides: smtpdaemon
Prereq: /sbin/chkconfig
Conflicts: sendmail
ExclusiveOS: Linux
Source: ftp.exim.org:/pub/exim/exim-%{version}.tar.gz
Source1: aliases
Source2: exim.init
Source3: exim.sysconfig
Source4: exim.logrotate
Source5: exim.8
Source6: FAQ.html.gz
Source7: exim-html-3.10.tar.gz
Source8: exim-postscript-3.10.tar.gz
Source9: exim-pdf-3.10.tar.gz
Source10: eximconfig
Source11: exim.pam
Patch0: Local-Makefile.patch
Patch1: configure-default.patch

%description
Exim is a mail transport agent (MTA) developed at the University of
Cambridge for use on Unix systems connected to the Internet. In style
it is similar to Smail 3, but its facilities are more extensive, and
in particular it has options for verifying incoming sender and
recipient addresses, for refusing mail from specified hosts, networks,
or senders, and for controlling mail relaying. Exim is in production
use at quite a few sites, some of which move hundreds of thousands of
messages per day.

A utility, eximconfig, is included to simplify exim configuration.

%package mon
Summary: X11 monitor application for exim
Group: Applications/System
Vendor: DEC and MIT
Copyright: Free

%description mon
The Exim Monitor is an optional supplement to the Exim package. It
displays information about Exim's processing in an X window, and an
administrator can perform a number of control actions from the window
interface.

%package doc
Summary: Exim documentation
Group: Documentation

%description doc
This package includes the Exim FAQ and Exim manual in HTML,
PostScript and PDF formats.

%prep
%setup -q
mkdir faq
gzip -cd $RPM_SOURCE_DIR/FAQ.html.gz > faq/FAQ.html
%setup -q -T -D -a 7
mv exim-html-3.10 html
%setup -q -T -D -a 8
mv exim-postscript-3.10 ps
%setup -q -T -D -a 9
mv exim-pdf-3.10 pdf
mkdir Local
cp src/EDITME Local/Makefile
%patch0 -p1
cp exim_monitor/EDITME Local/eximon.conf
%patch1 -p1

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/etc/pam.d

cd build-`scripts/os-type`-`scripts/arch-type`
install -m 4775 exim $RPM_BUILD_ROOT/usr/sbin

for i in eximon eximon.bin exim_dumpdb exim_fixdb exim_tidydb \
  	exinext exiwhat exim_dbmbuild exicyclog exim_lock
do
    install -m 0775 $i $RPM_BUILD_ROOT/usr/sbin
done

cd ..
for i in exigrep eximstats exiqsumm convert4r3
do
    install -m 0775 util/$i $RPM_BUILD_ROOT/usr/sbin
done

install -m 0644 src/configure.default $RPM_BUILD_ROOT/etc/exim.conf
install -m 0644 $RPM_SOURCE_DIR/aliases $RPM_BUILD_ROOT/etc/aliases
install -m 0644 $RPM_SOURCE_DIR/exim.pam $RPM_BUILD_ROOT/etc/pam.d/exim

ln -sf /usr/sbin/exim $RPM_BUILD_ROOT/usr/lib/sendmail
ln -sf /usr/sbin/exim $RPM_BUILD_ROOT/usr/sbin/sendmail
ln -sf /usr/sbin/exim $RPM_BUILD_ROOT/usr/bin/mailq
ln -sf /usr/sbin/exim $RPM_BUILD_ROOT/usr/bin/runq
ln -sf /usr/sbin/exim $RPM_BUILD_ROOT/usr/bin/rsmtp
ln -sf /usr/sbin/exim $RPM_BUILD_ROOT/usr/bin/rmail
ln -sf /usr/sbin/exim $RPM_BUILD_ROOT/usr/bin/newaliases

install -d -m 0750 $RPM_BUILD_ROOT/var/spool/exim
install -d -m 0750 $RPM_BUILD_ROOT/var/spool/exim/db
install -d -m 0750 $RPM_BUILD_ROOT/var/spool/exim/input
install -d -m 0750 $RPM_BUILD_ROOT/var/spool/exim/msglog
install -d -m 0750 $RPM_BUILD_ROOT/var/log/exim

mkdir -p $RPM_BUILD_ROOT/usr/man/man8
install $RPM_SOURCE_DIR/exim.8 $RPM_BUILD_ROOT/usr/man/man8/exim.8

mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
install -m 644 $RPM_SOURCE_DIR/exim.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/exim

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install $RPM_SOURCE_DIR/exim.init $RPM_BUILD_ROOT/etc/rc.d/init.d/exim

mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
install -m 0644 $RPM_SOURCE_DIR/exim.logrotate $RPM_BUILD_ROOT/etc/logrotate.d/exim

install -m 0755 $RPM_SOURCE_DIR/eximconfig $RPM_BUILD_ROOT/usr/sbin

strip $RPM_BUILD_ROOT/usr/sbin/* || :

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add exim

%preun
if [ $1 = 0 ]; then
    [ -d /var/log/exim ] && rm -f /var/log/exim/*
    /sbin/chkconfig --del exim
fi

%files
%defattr(-,root,root)
/usr/sbin/exim
/usr/sbin/exim_dumpdb
/usr/sbin/exim_fixdb
/usr/sbin/exim_tidydb
/usr/sbin/exinext
/usr/sbin/exiwhat
/usr/sbin/exim_dbmbuild
/usr/sbin/exicyclog
/usr/sbin/exigrep
/usr/sbin/eximstats
/usr/sbin/exiqsumm
/usr/sbin/exim_lock
/usr/sbin/convert4r3
/usr/sbin/eximconfig
/usr/lib/sendmail
/usr/sbin/sendmail
/usr/bin/mailq
/usr/bin/runq
/usr/bin/rsmtp
/usr/bin/rmail
/usr/bin/newaliases
/usr/man/*/*

%defattr(-,mail,mail)
%dir /var/spool/exim
%dir /var/spool/exim/db
%dir /var/spool/exim/input
%dir /var/spool/exim/msglog
%dir /var/log/exim

%defattr(-,root,mail)
%config /etc/exim.conf
%config(noreplace) /etc/aliases

%defattr(-,root,root)
%config /etc/sysconfig/exim
%config /etc/rc.d/init.d/exim
%config /etc/logrotate.d/exim
%config /etc/pam.d/exim

%doc LICENCE NOTICE README.IPV6 README.UPDATING README README.Y2K
%doc doc util/unknownuser.sh util/transport-filter.pl

%files mon
%defattr(-,root,root)
/usr/sbin/eximon
/usr/sbin/eximon.bin

%files doc
%defattr(-,root,root)
%doc faq html ps pdf

%changelog
* Fri Feb 04 2000 Tim Powers <timp@redhat.com>
- fixed the groups to be in Red Hat groups.
- removed Vendor header since it is going to be marked Red Hat in our build
	system.
- quiet setups
- strip binaries
- fixed so that man pages can be auto gzipped by new RPM (in files list
	/usr/man/*/* )
- built for Powertools 6.2

* Tue Jan 18 2000 Mark Bergsma <mark@mbergsma.demon.nl>
- Upgraded to exim 3.13
- Removed i386 specialization
- Added syslog support

* Wed Dec 8 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Upgraded to exim 3.12
- Procmail no longer used as the delivery agent

* Wed Dec 1 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Upgraded to exim 3.11

* Sat Nov 27 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Added /etc/pam.d/exim

* Wed Nov 24 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Upgraded to exim 3.10

* Thu Nov 11 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Added eximconfig script, thanks to Mark Baker
- Exim now uses the Berkeley DB library.

* Fri Aug 4 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Upgraded to version 3.03
- Removed version number out of the spec file name.

* Fri Jul 23 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Added embedded Perl support.
- Added tcp_wrappers support.
- Added extra documentation in a new doc subpackage.

* Mon Jul 12 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Added /usr/sbin/sendmail as a link to exim.
- Fixed wrong filenames in logrotate entry. 

* Sun Jul 11 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Now using the '%changelog' tag.
- Removed the SysV init links - let chkconfig handle them. 
- Replaced install -d with mkdir -p

* Sat Jul 10 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Fixed owner of the exim-mon files - the owner is now root

* Thu Jul 08 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Removed executable permission bits of /etc/exim.conf
- Removed setuid permission bits of all programs except exim
- Changed spool/log directory owner/groups to 'mail'
- Changed the default configuration file to make exim run
      as user and group 'mail'.

* Thu Jul 08 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Added the /usr/bin/rmail -> /usr/sbin/exim symlink.
- Added the convert4r3 script.
- Added the transport-filter.pl script to the documentation.

* Thu Jul 08 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Added procmail transport and director, and made that the
      default.
- Added the unknownuser.sh script to the documentation.

* Thu Jul 08 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Added manpage for exim.
- Fixed symlinks pointing to targets under Buildroot.
- The exim logfiles will now only be removed when uninstalling,
      not upgrading.

* Wed Jul 07 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Added 'Obsoletes' header.
- Added several symlinks to /usr/sbin/exim.

* Wed Jul 07 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- First RPM packet release.
- Not tested on other architectures/OS'es than i386/Linux..
